> ## Documentation Index
> Fetch the complete documentation index at: https://doc.withedge.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Personal Account

> Use this endpoint to create a personal bank account for individual customers. You can specify the account type or let it default to savings.

# Create Personal Account

This endpoint is used to create personal bank accounts for customers on the Edge platform. You can specify the account type and provide the customer details required for the account creation process.

***

## Request Parameters

<ParamField header="requestId" type="string" required>
  A unique identifier for the request, used for idempotency.\
  **Example:** `e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9`
</ParamField>

<ParamField body="customerId" type="string" required>
  The unique identifier for the customer on the Edge platform. This ID is required to specify the customer involved in the request.\
  **Example:** `CUS1234567890`
</ParamField>

<ParamField body="type" type="string">
  Specifies the type of account to be created. If not provided, a savings account will be created by default.\
  **Example:** `savings` or `current`
</ParamField>

***

## Additional Information

<Info>
  * If no **type** is specified, a **Savings** account will be created by default.
  * If '**current**' is specified as the **type**, the account creation will only be successful if the customer has been KYCed up to Tier 2.
</Info>

***

<ResponseExample>
  ```json
  {
  	"statusCode": 00,
  	"message": "Account successfully created",
  	"data": {
  		"accountNumber": "1951145523",
  		"accountName": "Tony Stark"
  	},
  	"errors": []
  }
  ```
</ResponseExample>
